Get entity lockbox
curl --request GET \
--url https://api.getlemma.com/v0/entities/{entity_id}/lockbox \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/entities/{entity_id}/lockbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/entities/{entity_id}/lockbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "ATTN: ABC123",
"line1": "2261 Market St",
"line2": "Ste 1234",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114"
}
{
"statusCode": 404,
"error": "Not found",
"message": "Entity lockbox not found"
}
Lockbox
Get entity lockbox
Retrieve the lockbox mailing address for a specific entity.
GET
/
v0
/
entities
/
{entity_id}
/
lockbox
Get entity lockbox
Returns the mailing address for the entity’s lockbox. Use this address to direct payers to send checks and correspondence for this entity. Mail sent to this address is automatically scanned and available via the mail endpoint.
Path parameters
string
required
The ID of the entity. You can find entity IDs using the List
entities endpoint.
Response
Returns a lockbox address object.string | null
Recipient name, if applicable.
string
Street address line 1.
string | null
Street address line 2, if applicable.
string
City.
string
Two-letter state code.
string
ZIP code.
{
"name": "ATTN: ABC123",
"line1": "2261 Market St",
"line2": "Ste 1234",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114"
}
{
"statusCode": 404,
"error": "Not found",
"message": "Entity lockbox not found"
}
⌘I